summaryrefslogtreecommitdiff
path: root/tests/ls/infloop
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ls/infloop')
-rwxr-xr-xtests/ls/infloop4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/ls/infloop b/tests/ls/infloop
index 1842c5bc4..9e2ad79fc 100755
--- a/tests/ls/infloop
+++ b/tests/ls/infloop
@@ -22,7 +22,7 @@ ln -s ../loop loop/sub || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -41,4 +41,4 @@ EOF
cmp out bad 2>/dev/null && fail=1
-(exit $fail); exit
+(exit $fail); exit $fail